{{- $title := .Get "title" }}
{{- $id := .Get "id" -}}
{{- $data := index site.Data (.Get "id") }}
{{- $sortCriteria := .Get "sort" | default "firstName" -}}

{{- .Page.Store.Add "sections" (dict "title" $title "id" $id) -}}

{{- $persons := slice -}}
{{- range $data -}}
	{{- $name :=  split .name " " -}}
	{{- $firstName := index $name 0 -}}
	{{- $lastName := index (last 1 $name) 0 -}}
	{{- $person := dict "name" $name "firstName" $firstName "lastName" $lastName "org" .org -}}
	{{- $persons = $persons | append $person -}}
{{- end }}

<section id="{{ $id }}" class="persons">
	<div class="page-header">
		<h2>{{ $title }}</h2>
	</div>

	<ul class="list">
		{{ range (sort $persons $sortCriteria "asc") }}
			<li class="item">
				<span class="name">{{ delimit .name " " }}</span>
				{{ with .org }} <span class="org">({{ . }})</span>{{ end }}
			</li>
		{{ end }}
	</ul>
</section>
